# federation protocol

A federation protocol is used by the Identity service’s OS-FEDERATION extension. It is used by identity providers and mappings. Applicable to Identity v3.

## federation protocol create

Create new federation protocol

    openstack federation protocol create
        --identity-provider <identity-provider>
        --mapping <mapping>
        <name>

--identity-provider <identity-provider>

  Identity provider that will support the new federation protocol (name or ID) (required)

--mapping <mapping>

  Mapping that is to be used (name or ID) (required)

name

  New federation protocol name (must be unique per identity provider)

## federation protocol delete

Delete federation protocol(s)

    openstack federation protocol delete
        --identity-provider <identity-provider>
        <federation-protocol>
        [<federation-protocol> ...]

--identity-provider <identity-provider>

  Identity provider that supports <federation-protocol> (name or ID) (required)

federation-protocol

  Federation protocol(s) to delete (name or ID)

## federation protocol list

List federation protocols

    openstack federation protocol list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        --identity-provider <identity-provider>

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--identity-provider <identity-provider>

  Identity provider to list (name or ID) (required)

## federation protocol set

Set federation protocol properties

    openstack federation protocol set
        --identity-provider <identity-provider>
        [--mapping <mapping>]
        <name>

--identity-provider <identity-provider>

  Identity provider that supports <federation-protocol> (name or ID) (required)

--mapping <mapping>

  Mapping that is to be used (name or ID)

name

  Federation protocol to modify (name or ID)

## federation protocol show

Display federation protocol details

    openstack federation protocol show
        --identity-provider <identity-provider>
        <federation-protocol>

--identity-provider <identity-provider>

  Identity provider that supports <federation-protocol> (name or ID) (required)

federation-protocol

  Federation protocol to display (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.